API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

PATCH /v1/working_time_models/{id}/approval

PATCH/v1/working_time_models/{id}/approval

Record a works-council decision on a working time model (ADR 0036b Phase 6.5)

Datenmodell

Diese Operation arbeitet auf der Entität Working Time Model (working_time_model). Alle 40 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz.

Request Body

NameTypBeschreibung
approvalStateerforderlichstring
worksCouncilCaseRefstring
meetingDatestring
rejectionReasonstring

Pfad-Parameter

NameTypBeschreibung
iderforderlichstring

Beispiel

curl -X PATCH https://api.codemeta-os.de/v1/working_time_models/{id}/approval \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "approvalState": "APPROVED",
  "worksCouncilCaseRef": "string",
  "meetingDate": "string",
  "rejectionReason": "string"
}'
const result = await cm.working_time_models.patch({
  "approvalState": "APPROVED",
  "worksCouncilCaseRef": "string",
  "meetingDate": "string",
  "rejectionReason": "string"
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche